Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1195614 - Review Request: libgames-support - Support library for GNOME games
Review Request: libgames-support - Support library for GNOME games
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-24 03:03 EST by Yanko Kaneti
Modified: 2015-04-21 09:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 09:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amigadave: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2015-02-24 03:03:13 EST
Spec URL: http://declera.com/~yaneti/libgames-support/libgames-support.spec
SRPM URL: http://declera.com/~yaneti/libgames-support/libgames-support-0.1-0.1.ff5f3d4.fc23.src.rpm
Description: 
libgames-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

Fedora Account System Username: yaneti
Comment 1 Yanko Kaneti 2015-04-15 07:20:29 EDT
I've temporarily bundled the library with gnome-2048, until someone takes an interest here.
Comment 2 David King 2015-04-21 05:19:07 EDT
Happy to review this. Would you be willing to swap a review for bug 1210252?
Comment 3 David King 2015-04-21 05:20:08 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Looks good, just some minor nitpicks:

* the license seems to be LGPLv3+, according to the headers in the files (even though the GPLv3 and LGPLv3 are both included)
* for the license files, the %license macro should be used (rather than %doc)

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/david/checkout/rpms/1195614-libgames-support/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/vala/vapi(gmime-
     devel, libcanberra-devel, libgnome-keyring-devel, vala, gcr-devel,
     libgweather-devel, libgdata-devel), /usr/share/vala(gmime-devel,
     libcanberra-devel, libgnome-keyring-devel, vala, gcr-devel, libgweather-
     devel, libgdata-devel)

Fine.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libgames-support-0.1-0.1.ff5f3d4.fc23.x86_64.rpm
          libgames-support-devel-0.1-0.1.ff5f3d4.fc23.x86_64.rpm
          libgames-support-0.1-0.1.ff5f3d4.fc23.src.rpm
libgames-support-devel.x86_64: W: only-non-binary-in-usr-lib
libgames-support-devel.x86_64: W: no-documentation
libgames-support.src:13: W: macro-in-comment %{gitrev}
libgames-support.src:13: W: macro-in-comment %{giterev}
libgames-support.src: W: invalid-url Source0: libgames-support-0.1-ff5f3d4.tar.xz
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
libgames-support (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    rtld(GNU_HASH)

libgames-support-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libgames-support(x86-64)
    pkgconfig(gio-2.0)
    pkgconfig(glib-2.0)
    pkgconfig(gtk+-3.0)



Provides
--------
libgames-support:
    libgames-support
    libgames-support(x86-64)
    libgames-support.so.0()(64bit)

libgames-support-devel:
    libgames-support-devel
    libgames-support-devel(x86-64)
    pkgconfig(libgames-support)



Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1195614
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Yanko Kaneti 2015-04-21 05:46:53 EDT
Thanks for looking into it.
I've fixed the license situation hopefully.
Also upgraded to latest master.


0.1-0.2.8654371
- Latest master. Address review comments #1195614

Spec URL: http://declera.com/~yaneti/libgames-support/libgames-support.spec
SRPM URL: http://declera.com/~yaneti/libgames-support/libgames-support-0.1-0.2.8654371.fc23.src.rpm
Comment 5 David King 2015-04-21 05:49:12 EDT
Looks great now!
Comment 6 Yanko Kaneti 2015-04-21 06:13:09 EDT
New Package SCM Request
=======================
Package Name: libgames-support
Short Description: Support library for GNOME games
Owners: yaneti
Branches:
InitialCC:
Comment 7 Gwyn Ciesla 2015-04-21 08:14:59 EDT
Git done (by process-git-requests).
Comment 8 Yanko Kaneti 2015-04-21 09:24:10 EDT
Built in rawhide, unbundled from gnome-2048.
We should probably re-consider it for f22 once/if it becomes somewhat stable.

Thanks

Note You need to log in before you can comment on or make changes to this bug.